# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.677   -> 1.678  
#	drivers/usb/core/usb.c	1.91    -> 1.92   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/10/02	luc.vanoostenryck@easynet.be	1.678
# [PATCH] 2.5.40: warning fix for drivers/usb/core/usb.c
# 
# usb_hotplug()' prototype doesn't match when CONFIG_HOTPLUG is not defined.
# --------------------------------------------
#
diff -Nru a/drivers/usb/core/usb.c b/drivers/usb/core/usb.c
--- a/drivers/usb/core/usb.c	Wed Oct  2 22:40:30 2002
+++ b/drivers/usb/core/usb.c	Wed Oct  2 22:40:30 2002
@@ -624,7 +624,7 @@
 #else
 
 static int usb_hotplug (struct device *dev, char **envp,
-			char *buffer, int buffer_size)
+			int num_envp, char *buffer, int buffer_size)
 {
 	return -ENODEV;
 }
